import request from '@/utils/request'

// 查询用户评论列表
export function listUserComments(query) {
  return request({
    url: '/service/userComments/list',
    method: 'get',
    params: query
  })
}

// 查询用户评论详细
export function getUserComments(id) {
  return request({
    url: '/service/userComments/' + id,
    method: 'get'
  })
}

// 新增用户评论
export function addUserComments(data) {
  return request({
    url: '/service/userComments',
    method: 'post',
    data: data
  })
}

// 修改用户评论
export function updateUserComments(data) {
  return request({
    url: '/service/userComments',
    method: 'put',
    data: data
  })
}

// 删除用户评论
export function delUserComments(id) {
  return request({
    url: '/service/userComments/' + id,
    method: 'delete'
  })
}
